For the complete documentation index, see llms.txt. This page is also available as Markdown.

Permissions

List all permissions for a team

get
Path parameters
organizationIdstringRequired

The id of the organization to find teams within

teamIdstringRequired

The id of the team

Query parameters
offsetinteger · int32Optional

The offset into queried items to return

limitinteger · int32 · max: 100Optional

How many items to return at one time (max 100)

Responses
200

A paged array of team permissions

application/json
totalResultsintegerRequired
offsetintegerRequired
limitintegerRequired
get/v1/identity/organizations/{organizationId}/teams/{teamId}/permissions

Create a team permission

post
Path parameters
organizationIdstringRequired

The id of the organization to find teams within

teamIdstringRequired

The id of the team

Body
projectIdstringRequired
Responses
200

Expected response to a valid request

application/json
idstringRequired
projectIdstringRequired
post/v1/identity/organizations/{organizationId}/teams/{teamId}/permissions

Delete a team permission

delete
Path parameters
organizationIdstringRequired

The id of the organization to find teams within

teamIdstringRequired

The id of the team

permissionIdstringRequired

The id of the permission

Responses
204

Team permission deleted

No content

delete/v1/identity/organizations/{organizationId}/teams/{teamId}/permissions/{permissionId}

No content

Was this helpful?